Bug 27563 - Remove check-url.pl in favor of check-url-quick.pl
Summary: Remove check-url.pl in favor of check-url-quick.pl
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Command-line Utilities (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on: 7693
Blocks:
  Show dependency treegraph
 
Reported: 2021-01-27 19:52 UTC by Nick Clemens
Modified: 2021-06-14 21:35 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
The check-url.pl script has been deprecated since Koha 3.8 - this patch removes it. If any users are still referencing that script in their cronjobs they will need to update to the new script upon upgrade.
Version(s) released in:
21.05.00


Attachments
Bug 27563: Remove check-url.pl in favor of check-url-quick.pl (7.97 KB, patch)
2021-01-27 19:54 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 27563: Remove check-url.pl in favor of check-url-quick.pl (8.02 KB, patch)
2021-02-01 22:48 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 27563: Remove check-url.pl in favor of check-url-quick.pl (8.08 KB, patch)
2021-02-07 11:14 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2021-01-27 19:52:32 UTC
In bug 7693 we added a new 'check-url-quick.pl' script and added a deprecation note to check-url.pl, that was pushed to Koha 3.8

I believe maybe we have waited long enough to remove the deprecated script
Comment 1 Nick Clemens 2021-01-27 19:54:39 UTC
Created attachment 115910 [details] [review]
Bug 27563: Remove check-url.pl in favor of check-url-quick.pl

To test:
1 - verify the script is gone
2 - verify check-url-quick.pl works
Comment 2 Lucas Gass 2021-02-01 22:48:56 UTC
Created attachment 116182 [details] [review]
Bug 27563: Remove check-url.pl in favor of check-url-quick.pl

To test:
1 - verify the script is gone
2 - verify check-url-quick.pl works

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Katrin Fischer 2021-02-07 11:14:04 UTC
Created attachment 116457 [details] [review]
Bug 27563: Remove check-url.pl in favor of check-url-quick.pl

To test:
1 - verify the script is gone
2 - verify check-url-quick.pl works

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2021-02-08 13:57:50 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 5 Fridolin Somers 2021-02-12 13:13:36 UTC
I prefer not delete a script on stable branche.
Not pushed to 20.11.x